Bug 1808426 - [4.3] Idle OpenShift Image registry queries Azure storage keys about 40 times per minute
Summary: [4.3] Idle OpenShift Image registry queries Azure storage keys about 40 times...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image Registry
Version: 4.2.z
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
: 4.3.z
Assignee: Corey Daley
QA Contact: Wenjing Zheng
URL:
Whiteboard:
Depends On: 1808425 1836753
Blocks: 1808505
TreeView+ depends on / blocked
 
Reported: 2020-02-28 13:53 UTC by Adam Kaplan
Modified: 2020-06-17 20:28 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1808425
Environment:
Last Closed: 2020-06-17 20:27:11 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-image-registry-operator pull 475 None closed [release-4.3] Bug 1808426: backport removing kubesystem configmap watch 2020-06-01 02:15:12 UTC
Github openshift cluster-image-registry-operator pull 493 None closed Bug 1808426: Release 4 3 revert install config 2020-06-01 02:15:12 UTC
Github openshift cluster-image-registry-operator pull 503 None closed [release-4.3] Bug 1808426: ignore most kube-system events 2020-06-01 02:15:12 UTC
Red Hat Product Errata RHBA-2020:2436 None None None 2020-06-17 20:28:20 UTC

Comment 3 Wenjing Zheng 2020-03-10 09:15:13 UTC
Verified on 4.3.0-0.nightly-2020-03-09-200240:
No "List Storage Account Keys" events under the resource group "Activity log" in Azure console when registry is idle

Comment 4 Corey Daley 2020-03-13 20:51:53 UTC
Posted a pull request to revert this fix and apply the one from 4.2 that ignores the other events.

Comment 13 Wenjing Zheng 2020-06-01 09:36:14 UTC
Records in Active Logs repeats every 5 minutes with 4.3.0-0.nightly-2020-05-31-230702.

Image registry works in born-in-4.1 cluster: 4.1.41-x86_64 -> 4.2.34-x86_64 -> 4.3.0-0.nightly-2020-05-31-230702

Comment 16 errata-xmlrpc 2020-06-17 20:27:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2436


Note You need to log in before you can comment on or make changes to this bug.